<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_competitor_practice_batch".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanCompetitorPracticeBatch".
 *
 * Columns in table "scan_competitor_practice_batch" available as properties of the model,
 * followed by relations of table "scan_competitor_practice_batch" available as properties of the model.
 *
 * @property integer $id
 * @property integer $scan_competitor_practice_id
 * @property integer $scan_log_id
 * @property string $date_added
 *
 * @property ScanCompetitorPractice $scanCompetitorPractice
 */
abstract class BaseScanCompetitorPracticeBatch extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_competitor_practice_batch';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanCompetitorPracticeBatch|ScanCompetitorPracticeBatches', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('scan_competitor_practice_id, scan_log_id, date_added', 'required'),
            array('scan_competitor_practice_id, scan_log_id', 'numerical', 'integerOnly'=>true),
            array('id, scan_competitor_practice_id, scan_log_id, date_added', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'scanCompetitorPractice' => array(self::BELONGS_TO, 'ScanCompetitorPractice', 'scan_competitor_practice_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'scan_competitor_practice_id' => null,
            'scan_log_id' => Yii::t('app', 'Scan Log'),
            'date_added' => Yii::t('app', 'Date Added'),
            'scanCompetitorPractice' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('scan_competitor_practice_id', $this->scan_competitor_practice_id);
        $criteria->compare('scan_log_id', $this->scan_log_id);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
